Subject: Re: git pull opinion

From: Pierre Habouzit <[email-masked]>
Date: Tue, 06 Nov 2007 09:51:34 +0100

On Tue, Nov 06, 2007 at 05:29:58AM +0000, Benoit Sigoure wrote:
> On Nov 6, 2007, at 5:16 AM, Aghiles wrote:
> 
> >Hello,
> >
> >>who will run git stash clear? :)
> >
> >Yes you are right. By the way, in the context of merging into a
> >dirty tree, "git stash clear" seems to be a dangerous command:
> >there is a risk of loosing all your changes without a question
> >asked!
> >
> >I know unix is a harsh world but ...
> 
> Be *very* careful, because it's worse than that.  If you run, say, `git 
> stash clean', instead of `clear' (that's the sort of typo that quickly 
> slips through), then it will stash all your changes in a new stash named 
> "clean".  Once you realize you made a typo, you will most probably 
> correct it and run `git stash clear' but...   Oops, you just wiped your 
> changes that were in the "clean" stash.
> That happened to me and other people I know, so now I'm utterly cautious 
> when I start a command with "git stash".
> 
> As far as I remember, a patch was proposed to change this mis-behavior of 
> "git stash" (one could argue that it's a PEBCAK issue, but I really think 
> this command is *way* too dangerous) but I don't think it's been accepted 
> at this time.

  no it's a command issue. git stash <random non command name> should
_NOT_ be an alias to git stash save <random name>. Either the command
should be mandatory _or_ it should be a long option to avoid such kind
of conflicts.

  It's just a bad ui design.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org